Bug 524657 - [abrt] crash detected in at-spi-1.27.92-1.fc12
Summary: [abrt] crash detected in at-spi-1.27.92-1.fc12
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: at-spi
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c70c75e4ad6af98e2d033fd15da...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-21 16:06 UTC by Matěj Cepl
Modified: 2018-04-11 07:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 07:40:34 UTC


Attachments (Terms of Use)
File: backtrace (20.27 KB, text/plain)
2009-09-21 16:07 UTC, Matěj Cepl
no flags Details
backtrace actually from at-spi (7.29 KB, text/plain)
2009-09-22 15:44 UTC, Michal Schmidt
no flags Details

Description Matěj Cepl 2009-09-21 16:06:59 UTC
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Additional information
======


Attached files
----
backtrace

cmdline
-----
/usr/libexec/at-spi-registryd 


component
-----
at-spi


executable
-----
/usr/libexec/at-spi-registryd


kernel
-----
2.6.31-33.fc12.x86_64


package
-----
at-spi-1.27.92-1.fc12


reason
-----
Process was terminated by signal 6

Comment 1 Matěj Cepl 2009-09-21 16:07:02 UTC
Created attachment 361969 [details]
File: backtrace

Comment 2 Michal Schmidt 2009-09-22 15:44:36 UTC
Created attachment 362115 [details]
backtrace actually from at-spi

Looks like in Matěj's case abrt screwed up and attached a different backtrace here (something from evolution).

Today abrt reported a crash in at-spi for me and recognized that it was already reported in this BZ. So I am attaching the backtrace which really comes from at-spi.

From the backtrace you can see that it was a failed assert:
assertion failed: (robj->refs < ORBIT_REFCOUNT_MAX && robj->refs > 0)

Comment 3 Bug Zapper 2009-11-16 12:43:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-11-04 09:53:50 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-04 07:40:34 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.